edu.wpi.cscore

## Class MjpegServer

- java.lang.Object
- - edu.wpi.cscore.VideoSink
  - - edu.wpi.cscore.MjpegServer

-     public class MjpegServer
      extends VideoSink

  A sink that acts as a MJPEG-over-HTTP network server.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.wpi.cscore.VideoSink

      `VideoSink.Kind`

  - ### Field Summary

    - ### Fields inherited from class edu.wpi.cscore.VideoSink

      `m_handle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MjpegServer(java.lang.String name, int port)` Create a MJPEG-over-HTTP server sink.
    `MjpegServer(java.lang.String name, java.lang.String listenAddress, int port)` Create a MJPEG-over-HTTP server sink.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getListenAddress()` Get the listen address of the server.
    `int` | `getPort()` Get the port number of the server.

    - ### Methods inherited from class edu.wpi.cscore.VideoSink

      `enumerateSinks, equals, free, getDescription, getHandle, getKind, getKindFromInt, getName, getSource, getSourceProperty, hashCode, isValid, setSource`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MjpegServer

          public MjpegServer(java.lang.String name,
                             java.lang.String listenAddress,
                             int port)

      Create a MJPEG-over-HTTP server sink.
      Parameters:
        `name` - Sink name (arbitrary unique identifier)
        `listenAddress` - TCP listen address (empty string for all addresses)
        `port` - TCP port number

    - #### MjpegServer

          public MjpegServer(java.lang.String name,
                             int port)

      Create a MJPEG-over-HTTP server sink.
      Parameters:
        `name` - Sink name (arbitrary unique identifier)
        `port` - TCP port number

  - ### Method Detail

    - #### getListenAddress

          public java.lang.String getListenAddress()

      Get the listen address of the server.

    - #### getPort

          public int getPort()

      Get the port number of the server.